Skip to main content
PATCH
Update user (admin)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

User ID

Body

application/json
role
enum<string>

User role

Available options:
admin,
client
is_active
boolean

Whether the user is active

plan_id
string

User plan ID

display_name
string

Display name

Response

User updated

id
string
required

User UUID

email
string
required

User email address

Example:

"user@example.com"

role
enum<string>
required

User role

Available options:
admin,
client
is_active
boolean
required

Account active status

Example:

true

created_at
string
required

Registration date

display_name
string

Display name

Example:

"John Doe"

plan_id
string

Subscription plan ID